Bug 2777 - ash unusable as login shell
: ash unusable as login shell
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/setup)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-07-21 11:40 by
Modified: 2004-05-17 08:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-07-21 11:40:34
текущий /etc/profile содержит строчки вида
\"${PATH//$HOME\\/bin}\", на которые ash возмущается syntax error: bad substitution. Соответственно пользователь с login shell ash в систему войти уже не может. Дальше --- больше: /etc/profile.d/lang.sh и /etc/profile.d/configure_keyboard.sh содержат каждый по разу echo -en и echo -ne (одного не хватит?), которые ash пытается выполнить с помощью своего builtin echo и добросовестно выводит на консоль -en, -ne соответственно. Нужно указывать /bin/echo, как в /etc/profile.d/lang.csh
---

---

------- Comment #1 From 2004-01-19 19:26:44 -------
Fixed lang.sh 
------- Comment #2 From 2004-01-25 16:18:25 -------
What about this workaround in /etc/profile: 
 
[ -n "$PATH" ] || PATH="/bin:/usr/bin:/usr/local/bin" 
[ "$PATH" = "$HOME/bin" -o -z "${PATH##$HOME/bin:*}" -o \ 
  -z "${PATH%%*:$HOME/bin}" -o -z "${PATH##*:$HOME/bin:*}" ] || 
	PATH="$HOME/bin:$PATH" 
[ "$PATH" = "/usr/X11R6/bin" -o -z "${PATH##/usr/X11R6/bin:*}" -o \ 
  -z "${PATH%%*:/usr/X11R6/bin}" -o -z "${PATH##*:/usr/X11R6/bin:*}" ] || 
	PATH="$PATH:/usr/X11R6/bin" 
[ "$PATH" = "/usr/games" -o -z "${PATH##/usr/games:*}" -o \ 
  -z "${PATH%%*:/usr/games}" -o -z "${PATH##*:/usr/games:*}" ] || 
	PATH="$PATH:/usr/games" 
export PATH 
 
? 
------- Comment #3 From 2004-01-27 08:22:57 -------
Не знаю, я такие конструкции не использую. Меня и
большинство пользователей удовлетворит просто
работоспособность из коробки. Остаётся только
configure_keyboard.sh?
------- Comment #4 From 2004-01-29 19:43:18 -------
lang.sh code relocated to console.sh and therefore fixed in
console-tools-0.2.3-ipl20mdk, 
configure_keyboard.sh fixed in console-tools-0.2.3-ipl21mdk